Developers
API ReferenceTo Do Item

Update ToDo

PATCH
/user/to-do-items/{id}

Update ToDo

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

ToDoItem identifier

Request Body

The updated ToDoItem resource

  1. body
name?string
Length1 <= length <= 100
isChecked?boolean

Response Body

ToDoItem resource updated

  1. response
id?string
Formatuuid
weight?integer
name?string
Lengthlength <= 100
isChecked?boolean
checkedAt?|
Formatdate-time
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/user/to-do-items/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "weight": 0,  "name": "string",  "isChecked": true,  "checkedAt": "2019-08-24T14:15:22Z"}